Subject: bug#6071: cc-(basic-)common-init not called in js-mode

From: Chong Yidong <[email-masked]>
Date: Sun, 02 May 2010 11:14:28 -0400

Lennart Borgman <[email-masked]> writes:

> On Sat, May 1, 2010 at 5:40 AM, Lennart Borgman
> <[email-masked]> wrote:
>> I have a bug report that I believe is due to that cc-basic-common-init
>> is not called in js-mode. Due to this jus-mode modifies default values
>> instead of buffer local values:
>>
>>  https://bugs.launchpad.net/nxhtml/+bug/572664
>>
>> Could this please be fixed in js.el before the release?
>
>
> I think this is pretty serious since I believe any use of js.el will
> give rise to the problem and it affects other major modes using
> adaptive-fill-regexp.

I have changed js.el in the emacs-23 branch, so that it makes the
affected variables local.

For the trunk, maybe the more correct solution is to call
c-basic-common-init, as suggested.  Daniel, could you look into this?